const path = require('path');

   module.exports = {
     entry: './src/index.js',
     output: {
       path: path.resolve(__dirname, 'dist'),
       filename: 'index.js',
       libraryTarget: 'umd',
       globalObject: 'this',
     },
     module: {
       rules: [
         {
           test: /\.jsx?$/,
           exclude: /node_modules/,
           use: {
             loader: 'babel-loader',

           },
           
         },

         {
          test: /\.css$/,
          use: ['style-loader', 'css-loader'],
      },
       ],
     },
     resolve: {
       extensions: ['.js', '.jsx'],
     },
     externals: {
       react: 'react',
     },
   };
